CBLAS/src/cblas_dgemm.c(3)

NAME
CBLAS/src/cblas_dgemm.c

SYNOPSIS

#include 'cblas.h'
#include 'cblas_f77.h'

  Macros
#define F77_TA &TA
#define F77_TB &TB
#define F77_M M
#define F77_N N
#define F77_K K
#define F77_lda lda
#define F77_ldb ldb
#define F77_ldc ldc

  Functions
void API_SUFFIX cblas_dgemm (const CBLAS_LAYOUT layout, const CBLAS_TRANSPOSE TransA, const CBLAS_TRANSPOSE TransB, const CBLAS_INT M, const CBLAS_INT N, const CBLAS_INT K, const double alpha, const double *A, const CBLAS_INT lda, const double *B, const CBLAS_INT ldb, const double beta, double *C, const CBLAS_INT ldc)

Macro Definition Documentation

  #define F77_K K

  #define F77_lda lda

  #define F77_ldb ldb

  #define F77_ldc ldc

  #define F77_M M

  #define F77_N N

  #define F77_TA &TA

  #define F77_TB &TB

Function Documentation

  void API_SUFFIX cblas_dgemm (const CBLAS_LAYOUT layout, const CBLAS_TRANSPOSE TransA, const CBLAS_TRANSPOSE TransB, const CBLAS_INT M, const CBLAS_INT N, const CBLAS_INT K, const double alpha, const double * A, const CBLAS_INT lda, const double * B, const CBLAS_INT ldb, const double beta, double * C, const CBLAS_INT ldc)

Definition at line 12 of file cblas_dgemm.c.

Author

Generated automatically by Doxygen for LAPACK from the source code.